#
# spec file for package ghc-base-prelude
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name base-prelude
Name:           ghc-%{pkg_name}
Version:        1.0.1.1
Release:        4.1
Summary:        The most complete prelude formed solely from the "base" package
License:        MIT
Group:          Development/Languages/Other
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A library which aims to reexport all the non-conflicting and most general
definitions from the "base" package. This includes APIs for applicatives,
arrows, monoids, foldables, traversables, exceptions, generics, ST, MVars and
STM.

This package will never have any dependencies other than "base".

/Versioning policy/

The versioning policy of this package deviates from PVP in the sense that its
exports in part are transitively determined by the version of "base".
Therefore it's recommended for the users of "base-prelude" to specify the
bounds of "base" as well.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)
%doc CHANGELOG.md

%changelog
* Sun Jul 10 2016 psimons@suse.com
- Update to version 1.0.1.1 revision 0 with cabal2obs.
* Mon May 23 2016 mimi.vx@gmail.com
- update to 1.0.1.1
* Sun Feb 14 2016 mimi.vx@gmail.com
- update to 1
* Wed Jan  6 2016 mimi.vx@gmail.com
- update to 0.1.21
* Mon Dec 21 2015 mimi.vx@gmail.com
- update to 0.1.20
* Fri Oct 23 2015 mimi.vx@gmail.com
- initial commit
